Lookup single agent configuration

Base URL
https://{kibana_url}
  • POST /api/apm/settings/agent-configuration/search
Auth Deprecated
Warning

This endpoint is intended for internal use by APM agents to fetch their configuration and mark it as applied. Do not use for new integrations. It searches for a single agent configuration matching the given service, and optionally updates the applied_by_agent field when the provided etag matches the current configuration.

Header parameters

elastic-api-version enum · default: 2023-10-31 required

The version of the API to use

Values: 2023-10-31
kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

error string

If provided, the agent configuration will be marked as error and applied_by_agent will be set to false. This is useful for cases where the agent configuration was not applied successfully.

etag string

If etags match then applied_by_agent field will be set to true

mark_as_applied_by_agent boolean

markAsAppliedByAgent=true means "force setting it to true regardless of etag". This is needed for Jaeger agent that doesn't have etags

service object required

Service

environment string

The environment of the service.

name string

The name of the service.

Responses

Successful response

application/json
_id string

Identifier

_index string

Index

_score number

Score

_source object

Agent configuration

@timestamp number required

Timestamp

agent_name string

Agent name

applied_by_agent boolean

Applied by agent

etag string required

etag is sent by the APM agent to indicate the etag of the last successfully applied configuration. If the etag matches an existing configuration its applied_by_agent property will be set to true. Every time a configuration is edited applied_by_agent is reset to false.

service object required

Service

environment string

The environment of the service.

name string

The name of the service.

settings map string to string required

Agent configuration settings

Bad Request response

application/json
error string

Error type

message string

Error message

statusCode number

Error status code

Unauthorized response

application/json
error string

Error type

message string

Error message

statusCode number

Error status code

Not found response

application/json
error string

Error type

message string

Error message

statusCode number

Error status code

Base URL
https://{kibana_url}